<?php
// Inclure le fichier de configuration pour la connexion à la base de données
require 'config.php';
session_start(); // Démarrer la session

// Vérification de la session pour les professeurs
if (!isset($_SESSION['professeur_id'])) {
    header('Location: connexion.php');
    exit;
}

// Vérifier si la connexion à la base de données est établie
if (!isset($pdo)) {
    die('Erreur de connexion à la base de données.');
}

// Vérifier si un ID de vidéo a été fourni
if (isset($_POST['video_id'])) {
    $videoId = $_POST['video_id'];

    // Supprimer la vidéo de la base de données
    $sql = "DELETE FROM videos WHERE id = :video_id AND professeur_id = :professeur_id";
    $stmt = $pdo->prepare($sql);
    $stmt->bindValue(':video_id', $videoId, PDO::PARAM_INT);
    $stmt->bindValue(':professeur_id', $_SESSION['professeur_id'], PDO::PARAM_INT);
    $stmt->execute();

    // Rediriger vers la page de gestion des vidéos
    header('Location: gerer_videos.php');
    exit;
} else {
    // Si aucun ID n'a été fourni, rediriger vers la page de gestion des vidéos
    header('Location: gerer_videos.php');
    exit;
}
